package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.GroupssRepository;
import com.realnet.vpspack.Entity.Groupss
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class GroupssService {
@Autowired
private GroupssRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Groupss Savedata(Groupss data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Groupss save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Groupss> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Groupss> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Groupss> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Groupss getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Groupss update(Groupss data,Integer id) {
	Groupss old = Repository.findById(id).get();
  
 
old.setName(data.isName());
   

 
old.setStaff(data.isStaff());
   

 
old.setSupplier(data.isSupplier());
   

 
old.setAgent(data.isAgent());
   

 
old.setAdmin(data.isAdmin());
   


  

final Groupss test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
